Name:           jakarta-cdi
Version:        2.0.2
Release:        1
Summary:        CDI API
License:        Apache-2.0
URL:            https://github.com/eclipse-ee4j/cdi
BuildArch:      noarch

Source0:        https://github.com/eclipse-ee4j/cdi/archive/%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.glassfish:javax.el)
BuildRequires:  mvn(jakarta.interceptor:jakarta.interceptor-api)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.glassfish:jakarta.el)

%description
APIs for JSR-299: Contexts and Dependency Injection for Java EE

%{?javadoc_package}

%prep
%setup -q -n cdi-%{version}

%pom_remove_parent
%pom_remove_parent api
%pom_disable_module spec
%pom_remove_plugin -r :maven-javadoc-plugin

%pom_remove_dep :jakarta.el-api api
%pom_remove_dep :jakarta.interceptor-api api

%pom_change_dep jakarta.inject:jakarta.inject-api javax.inject:javax.inject api
%pom_add_dep org.glassfish:jakarta.el::compile api
%pom_add_dep jakarta.interceptor:jakarta.interceptor-api::compile api

sed -i 's/javax.interceptor/jakarta.interceptor/g' api/src/main/java/javax/enterprise/inject/spi/Interceptor.java
sed -i 's/javax.interceptor/jakarta.interceptor/g' api/src/main/java/javax/enterprise/inject/spi/BeforeBeanDiscovery.java
sed -i 's/javax.interceptor/jakarta.interceptor/g' api/src/main/java/javax/enterprise/context/control/ActivateRequestContext.java
sed -i 's/javax.el/jakarta.el/g' api/src/main/java/javax/enterprise/inject/spi/BeanManager.java

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%changelog
* Thu Jun 30 2022 Ge Wang <wangge20@h-partners.com> - 2.0.2-1
- Init package
